Loading...
Searching...
No Matches
Catch::TestCaseHandle Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::TestCaseHandle:
[legend]

## Public Member Functions

constexpr | TestCaseHandle (TestCaseInfo *info, ITestInvoker *invoker)
void | prepareTestCase () const
void | tearDownTestCase () const
void | invoke () const
constexpr TestCaseInfo const & | getTestCaseInfo () const

## Private Attributes

TestCaseInfo * | m_info
ITestInvoker * | m_invoker

## Detailed Description

Wrapper over the test case information and the test case invoker

Does not own either, and is specifically made to be cheap to copy around.

## Constructor & Destructor Documentation

## TestCaseHandle()

Catch::TestCaseHandle::TestCaseHandle | ( | TestCaseInfo * | info,
|  | ITestInvoker * | invoker )

inlineconstexpr

## Member Function Documentation

## getTestCaseInfo()

TestCaseInfo const & Catch::TestCaseHandle::getTestCaseInfo | ( |  | ) | const

inlineconstexpr

Here is the caller graph for this function:

## invoke()

void Catch::TestCaseHandle::invoke | ( |  | ) | const

inline

## prepareTestCase()

void Catch::TestCaseHandle::prepareTestCase | ( |  | ) | const

inline

## tearDownTestCase()

void Catch::TestCaseHandle::tearDownTestCase | ( |  | ) | const

inline

## Member Data Documentation

## m_info

TestCaseInfo* Catch::TestCaseHandle::m_info

private

## m_invoker

ITestInvoker* Catch::TestCaseHandle::m_invoker

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp